Skip to main content
GET
/
v1
/
functions
/
{functionId}
/
secrets
List function secrets
curl --request GET \
  --url https://api.zavu.dev/v1/functions/{functionId}/secrets \
  --header 'Authorization: Bearer <token>'
{
  "secrets": [
    {
      "id": "<string>",
      "key": "<string>",
      "valueLast4": "<string>",
      "syncedToAws": true,
      "createdAt": 123,
      "updatedAt": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

functionId
string
required

Zavu Function ID.

Response

Secrets list.

secrets
object[]
required